﻿if exists (select * from dbo.sysobjects where id = object_id(N'[exch].[SyncStateGet]') and objectproperty(id, N'IsProcedure') = 1)
begin
	print 'Dropping procedure SyncStateGet'
	drop procedure [exch].[SyncStateGet]
end
go

print 'Creating procedure SyncStateGet'
go

create procedure [exch].[SyncStateGet] @UserID TIdentifier, @TypeName varchar(10)
with execute as 'pjmexchangesync'
as
begin
	set nocount on;

	select
		[PjmSyncState],
		[MseSyncState]
	from	
		[exch].[SyncState]
	where
		[UserID] = @UserID and [TypeName] = @TypeName;

	return 0;
end
GO

grant execute on [exch].[SyncStateGet] to [projectmateservice];
go


