IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[adfGetCategoryID]') AND xtype IN (N'FN', N'IF', N'TF'))
	BEGIN
		PRINT 'Dropping function adfGetCategoryID'
		DROP FUNCTION [dbo].[adfGetCategoryID]
	END

GO

PRINT 'Creating function adfGetCategoryID'
GO
/******************************************************************************
**		File: 
**		Name: adfGetCategoryID
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE FUNCTION adfGetCategoryID
	(@Name TName, @Class TClass)
RETURNS INT
AS
BEGIN
	DECLARE @ID INT
	
	SELECT
		@ID = [ID]
	FROM
		[Category]
	WHERE
		[Category].[FileAs] = @Name
	AND
		[Category].[DocumentClass] = @Class
	RETURN @ID
END
GO

