IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'adfCurrentUserRolesGet')
	BEGIN
		PRINT 'Dropping Procedure adfCurrentUserRolesGet'
		DROP  Procedure  adfCurrentUserRolesGet
	END

GO

PRINT 'Creating Procedure adfCurrentUserRolesGet'
GO
/******************************************************************************
**		File: 
**		Name: adfCurrentUserRolesGet
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure adfCurrentUserRolesGet
AS
	SET NOCOUNT ON

	SELECT
		[Trustee].[Name],
		[Trustee].[DisplayName]
	FROM
		[UserRole] INNER JOIN [Trustee] ON
			([UserRole].[RoleID] = [Trustee].[ID])
	WHERE
		[UserRole].[UserID] = dbo.adfGetCurrentUserID()
	
	RETURN 0
GO

GRANT EXEC ON adfCurrentUserRolesGet TO PUBLIC
GO
