BEGIN
	DECLARE @tempTable TABLE ([Name] TName)
	INSERT INTO @tempTable 
	VALUES
		('ReportLoadOfEmployee'),
		('ReportLoadOfEmployeeHeader'),
		('ReportEmployment'),
		('ReportEmploymentHeader'),
		('ReportLoadOfProjects'),
		('ReportLoadOfProjectsHeader'),
		('ReportLoadOfEmployees'),
		('ReportResourcePlanPeriod'),
		('ReportResourcePlanPeriodHeader'),
		('ReportResourcePlan'),
		('ReportResourcePlanHeader'),
		('ReportResourcePlanAbsent'),
		('ReportResourcePlanAbsentHeader'),
		('ReportRateByEmployee'),
		('ReportRateByQualification'),
		('ReportRateByProject'),
		('ReportBillOfProjectHeader'),
		('ReportBillOfProject')
		
	DECLARE @spName TName,
			@spFullName TName
			
	DECLARE deleted_sp CURSOR FOR SELECT * FROM @tempTable
	
	OPEN deleted_sp
	FETCH NEXT FROM deleted_sp INTO @spName
	
	WHILE @@FETCH_STATUS = 0
	BEGIN
		SET @spFullName = N'[dbo].[' + @spName +']'
	
		IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(@spFullName) and OBJECTPROPERTY(id, N'IsProcedure') = 1)
			EXEC('DROP PROCEDURE ' + @spFullName)
				
		FETCH NEXT FROM deleted_sp INTO @spName
	END
	
	CLOSE deleted_sp
	DEALLOCATE deleted_sp
END
GO