IF NOT EXISTS (SELECT * FROM [MailItemEventType])
BEGIN
	INSERT INTO [MailItemEventType] ([EventType], [FileAs])
	VALUES ('AnnouncementCreated', ' ')
	INSERT INTO [MailItemEventType] ([EventType], [FileAs])
	VALUES ('MeetingRequestAppointed', '  ')
	INSERT INTO [MailItemEventType] ([EventType], [FileAs])
	VALUES ('MeetingRequestCanceled', ' ')
	INSERT INTO [MailItemEventType] ([EventType], [FileAs])
	VALUES ('MeetingRequestCompleted', ' ')
	INSERT INTO [MailItemEventType] ([EventType], [FileAs])
	VALUES ('MeetingRequestUpdated', '   ')
	INSERT INTO [MailItemEventType] ([EventType], [FileAs])
	VALUES ('MeetingRequestResponse', '   ')
	INSERT INTO [MailItemEventType] ([EventType], [FileAs])
	VALUES ('ResourceRequestSubmitted', '    ')
	INSERT INTO [MailItemEventType] ([EventType], [FileAs])
	VALUES ('ResourceRequestApproved', '   ')
	INSERT INTO [MailItemEventType] ([EventType], [FileAs])
	VALUES ('ResourceRequestRejected', '   ')
	INSERT INTO [MailItemEventType] ([EventType], [FileAs])
	VALUES ('ResourceRequestCanceled', '   ')
	INSERT INTO [MailItemEventType] ([EventType], [FileAs])
	VALUES ('KickMail', '')
	INSERT INTO [MailItemEventType] ([EventType], [FileAs]) 
	VALUES ('TaskRequestCompleted', ' ')
	INSERT INTO [MailItemEventType] ([EventType], [FileAs]) 
	VALUES ('TaskRequestCanceled', ' ')
	INSERT INTO [MailItemEventType] ([EventType], [FileAs]) 
	VALUES ('TaskRequestPostponed', ' ')
	INSERT INTO [MailItemEventType] ([EventType], [FileAs]) 
	VALUES ('TaskRequestAppointed', ' ')
	INSERT INTO [MailItemEventType] ([EventType], [FileAs]) 
	VALUES ('TaskRequestExcluded', '  ')
	INSERT INTO [MailItemEventType] ([EventType], [FileAs]) 
	VALUES ('TaskRequestDeclined', ' ')
	INSERT INTO [MailItemEventType] ([EventType], [FileAs]) 
	VALUES ('TaskRequestAccepted', ' ')
	INSERT INTO [MailItemEventType] ([EventType], [FileAs]) 
	VALUES ('TaskRequestSupervisorDismissed', '  ')
	INSERT INTO [MailItemEventType] ([EventType], [FileAs]) 
	VALUES ('TaskRequestSupervisorAssigned', '  ')
	INSERT INTO [MailItemEventType] ([EventType], [FileAs]) 
	VALUES ('TaskRequestCompletionRate', ' ')
	INSERT INTO [MailItemEventType] ([EventType], [FileAs])
	VALUES ('TaskRequestStartTime', '  ')
	INSERT INTO [MailItemEventType] ([EventType], [FileAs])
	VALUES ('TaskRequestDueTime', '  ')
	INSERT INTO [MailItemEventType] ([EventType], [FileAs])
	VALUES ('MeetingRequestExcluded', '  ')
END
GO

IF NOT EXISTS (SELECT * FROM [MailItemEventTypeGlobal])
BEGIN
	INSERT INTO [MailItemEventTypeGlobal] ([EventType], [Language], [FileAs])
	VALUES ('AnnouncementCreated', 'en', 'Announcement Submitted')
	INSERT INTO [MailItemEventTypeGlobal] ([EventType], [Language], [FileAs])
	VALUES ('MeetingRequestAppointed', 'en', 'Meeting Appointed')
	INSERT INTO [MailItemEventTypeGlobal] ([EventType], [Language], [FileAs])
	VALUES ('MeetingRequestCanceled', 'en', 'Meeting Canceled')
	INSERT INTO [MailItemEventTypeGlobal] ([EventType], [Language], [FileAs])
	VALUES ('MeetingRequestCompleted', 'en', 'Meeting Completed')
	INSERT INTO [MailItemEventTypeGlobal] ([EventType], [Language], [FileAs])
	VALUES ('MeetingRequestUpdated', 'en', 'Meeting Request Updated')
	INSERT INTO [MailItemEventTypeGlobal] ([EventType], [Language], [FileAs])
	VALUES ('MeetingRequestResponse', 'en', 'Response From Attendee')
	INSERT INTO [MailItemEventTypeGlobal] ([EventType], [Language], [FileAs])
	VALUES ('ResourceRequestSubmitted', 'en', 'Resource Request Submitted')
	INSERT INTO [MailItemEventTypeGlobal] ([EventType], [Language], [FileAs])
	VALUES ('ResourceRequestApproved', 'en', 'Resource Request Approved')
	INSERT INTO [MailItemEventTypeGlobal] ([EventType], [Language], [FileAs])
	VALUES ('ResourceRequestRejected', 'en', 'Resource Request Rejected')
	INSERT INTO [MailItemEventTypeGlobal] ([EventType], [Language], [FileAs])
	VALUES ('KickMail', 'en', 'Message')
	INSERT INTO [MailItemEventTypeGlobal] ([EventType], [Language], [FileAs]) 
	VALUES ('TaskRequestCompleted', 'en', 'Task Request Complete')
	INSERT INTO [MailItemEventTypeGlobal] ([EventType], [Language], [FileAs]) 
	VALUES ('TaskRequestCanceled', 'en', 'Task Request Cancel')
	INSERT INTO [MailItemEventTypeGlobal] ([EventType], [Language], [FileAs]) 
	VALUES ('TaskRequestPostponed', 'en', 'Task Request Postpone')
	INSERT INTO [MailItemEventTypeGlobal] ([EventType], [Language], [FileAs]) 
	VALUES ('TaskRequestAppointed', 'en', 'Task Request Assignment')
	INSERT INTO [MailItemEventTypeGlobal] ([EventType], [Language], [FileAs]) 
	VALUES ('TaskRequestExcluded', 'en', 'Task Request Exclusion')
	INSERT INTO [MailItemEventTypeGlobal] ([EventType], [Language], [FileAs]) 
	VALUES ('TaskRequestDeclined', 'en', 'Task Request Decline')
	INSERT INTO [MailItemEventTypeGlobal] ([EventType], [Language], [FileAs]) 
	VALUES ('TaskRequestAccepted', 'en', 'Task Request Accept')
	INSERT INTO [MailItemEventTypeGlobal] ([EventType], [Language], [FileAs]) 
	VALUES ('TaskRequestSupervisorDismissed', 'en', 'Task Request Supervisor Dismissal')
	INSERT INTO [MailItemEventTypeGlobal] ([EventType], [Language], [FileAs]) 
	VALUES ('TaskRequestSupervisorAssigned', 'en', 'Task Request Supervisor Assignment')
	INSERT INTO [MailItemEventTypeGlobal] ([EventType], [Language], [FileAs]) 
	VALUES ('TaskRequestCompletionRate', 'en', 'Task Request Completion Rate Change')
	INSERT INTO [MailItemEventTypeGlobal] ([EventType], [Language], [FileAs]) 
	VALUES ('TaskRequestStartTime', 'en', 'Task Request Start Time')
	INSERT INTO [MailItemEventTypeGlobal] ([EventType], [Language], [FileAs]) 
	VALUES ('TaskRequestDueTime', 'en', 'Task Request Due Time')
	INSERT INTO [MailItemEventTypeGlobal] ([EventType], [Language], [FileAs]) 
	VALUES ('MeetingRequestExcluded', 'en', 'Meeting Request Exclusion')
END
GO

