﻿DELETE FROM XmlParameters WHERE Name = 'MasterInfo'

EXEC xmlParameterSet 'PageContent', '<PageContent>


  <MainForm>
    <Title text="Начальная настройка ProjectMate" />
    <ImportTitle text="Мастер импорта данных" />
    
	<SaveAndClose text="Вы собираетесь приостановить прохождение мастера начальной настройки.&#xA;При выполнении этой операции внесенные Вами данные можно сохранить и при следующем запуске Вы сможете продолжить работу с этого места.&#xA;&#xA;Сохранить внесенные данные перед выходом?" />
	<ImportClose text="Вы собираетесь покинуть мастер импорта данных.&#xA;При выполнении этой операции все внесенные Вами данные будут утеряны.&#xA;&#xA;Вы действительно хотите прервать процедуру импорта?" />
    
	<Exit text="Вы собираетесь прекратить прохождение мастера начальной настройки.&#xA;В этом случае внесенные Вами изменения будут утеряны и у Вас не будет возможности вернуться к настройке системы с помощью мастера.&#xA;&#xA;Вы действительно хотите прекратить выполнение мастера?" />
    
	<Finish text="Вы собираетесь завершить прохождение мастера начальной настройки.&#xA;При выполнении этой операции в базе данных будут созданы объекты на основе внесенных Вами данных и Вы сможете приступить к работе в ProjectMate. Вы не сможете вернуться к работе с мастером в дальнейшем." />
	<ImportFinish text="Вы собираетесь завершить прохождение мастера импорта данных.&#xA;При выполнении этой операции в базе данных будут созданы объекты на основе внесенных Вами данных." />	
    
	<HasNotRightsOnServer text="Вы не имеете необходимых прав на сервере для создания учетных записей пользователей.&#xA;Если Вы продолжите действие, то карточки сотрудников будут созданы без привязки к учетным записям и они не смогут войти в систему.&#xA;&#xA;Завершить работу мастера и создать записи о сотрудниках без учетных данных?" />
  </MainForm>


  <HelloPage>
    <ButtonFinish IsEnabled="false" />
    <frHeader text="Вас приветствует мастер начальной настройки ProjectMate" />
    <frBody text="Мастер начальной настройки поможет Вам максимально просто подготовить к использованию систему ProjectMate. Вы сможете легко заполнить взаимосвязанные справочники данными о компании, её структуре, штате и применяемых способах ведения финансовой деятельности. В зависимости от сферы деятельности Вашей компании многие справочники будут автоматически заполнены предварительными данными. Во многих случаях Вам будет достаточно согласиться с предложенным вариантом заполнения или незначительно отредактировать его.&#xA;&#xA;Кроме того, Вы сможете определить порядок работы сотрудников с системой, создав для них учётные записи пользователей и установив права доступа к системе через роли. На любом этапе работы с мастером Вы сможете остановить работу с ним, сохранить произведённые настройки, с тем, чтобы позже к ним вернуться.&#xA;&#xA;Сразу по окончании работы с мастером и внесении информации в базу данных, Вы и сотрудники Вашей компании сможете приступить к работе с ProjectMate." />
  </HelloPage>


  <StartPage>
    <ButtonFinish IsEnabled="false" />
    <frLegalName text="Наименование:" />
    <frFileAs text="Хранить как:" />
    <frIndustryBranch text="Сфера деятельности:" />
    <frLegalNameDescription text="Наименование компании, которое будет использоваться при составлении финансовых документов" />
    <frFileAsDescription text="Сокращение (код), используемое для упрощенного обозначения компании" />
    <frIndustryBranchDescription text="Если система настраивается для внутреннего подразделения, выберите в списке соответствующий пункт. Внутренние подразделения не ведут финансовый учет, и для них ввод информации финансового характера является недоступным" />
    <frLegalCode text="ИНН:">
      <country name="Беларусь" text="УНП:" />
      <country name="Казахстан" text="РНП:" />
    </frLegalCode>
    <frKPP text="КПП:">
      <country name="Украина" text="Код по ЕГРПО:" />
      <country name="Беларусь" text="ОКПО:" />
      <country name="Казахстан" text="БИН/ИНН:" />
    </frKPP>
    <frBIN text="ОГРН:">
      <country name="Украина" text="Номер свидетельства:" />
      <country name="Беларусь" text="КПП (для организаций РФ):" />
      <country name="Казахстан" text="Кбе:" />
    </frBIN>
    <frLegalNameMasterInfo GotFocus="TextDescriptionActive" LostFocus="TextDescriptionDeactivate" ValidationRefresh="IsEmpty" />
    <frFileAsMasterInfo GotFocus="TextDescriptionActive" LostFocus="TextDescriptionDeactivate" ValidationRefresh="IsEmpty" />
    <frIndustryBranchMasterInfo GotFocus="TextDescriptionActive" LostFocus="TextDescriptionDeactivate" ValidationRefresh="IsEmpty" />
    <MasterInfo>
      <source>MasterInfo/Company/LegalName</source>
      <source>MasterInfo/Company/FileAs</source>
      <source>MasterInfo/Company/KPP</source>
      <source>MasterInfo/Company/BIN</source>
      <source>MasterInfo/Company/LegalCode</source>
      <source>MasterInfo/Parameters/IndustryBranch</source>
    </MasterInfo>
  </StartPage>


  <RegionalPage>
    <frCountry text="Страна:" />
    <frNationalCurrency text="Национальная валюта:" />
    <frBaseCurrency text="Учетная валюта:" />
    <frAutofillingLanguage text="Язык автозаполнения:" />
    <frApplyVATMasterInfo content="Организация ведет учет НДС" />
    <frVATRate text="Ставка НДС:" />
    <frCountryDescription text="Выбор страны влияет на настройку национальной валюты, ставки НДС и состава национальных праздников в календаре" />
    <frNationalCurrencyDescription text="Валюта страны, где зарегистрирована компания" />
    <frBaseCurrencyDescription text="Валюта, в которой компания ведет управленческий учет" />
    <frAutofillingLanguageDescription text="Язык, который будет использоваться для автоподстановки темы и комментария в записи при выборе соотвествующего вида деятельности или указания его кода" />
    <frVATRateDescription text="Укажите применяемую в вашей стране ставку НДС вне зависимости от того, ведет ли ваша компания учет НДС или нет" />
    <frCountryMasterInfo GotFocus="TextDescriptionActive" LostFocus="TextDescriptionDeactivate" ValidationRefresh="IsEmpty" />
    <frNationalCurrencyMasterInfo GotFocus="TextDescriptionActive" LostFocus="TextDescriptionDeactivate" ValidationRefresh="IsEmpty" />
    <frVATRateMasterInfo GotFocus="TextDescriptionActive" LostFocus="TextDescriptionDeactivate" ValidationRefresh="IsEmpty" />
    <frBaseCurrencyMasterInfo GotFocus="TextDescriptionActive" LostFocus="TextDescriptionDeactivate" ValidationRefresh="IsEmpty" />
    <frAutofillingLanguageMasterInfo GotFocus="TextDescriptionActive" LostFocus="TextDescriptionDeactivate" ValidationRefresh="IsEmpty" />
    <frPercent text="%" />
    <MasterInfo>
      <source>MasterInfo/Parameters/Country</source>
      <source>MasterInfo/Parameters/NationalCurrency</source>
      <source>MasterInfo/Parameters/BaseCurrency</source>
      <source>MasterInfo/Parameters/AutofillingLanguage</source>
      <source>MasterInfo/Parameters/ApplyVAT</source>
      <source>MasterInfo/Parameters/VATRate</source>
      <source>MasterInfo/Parameters/DataUsersExported</source>
    </MasterInfo>
  </RegionalPage>


  <BankAccountPage>
    <frBankName text="Банк:" />
    <frCountry text="Страна:" />
    <frCity text="Город:" />
    <frAddress text="Адрес:" />
    <frBankCode text="БИК:">
      <country name="Украина" text="МФО:" />
    </frBankCode>
    <frCurrencyCode text="Валюта:" />
    <frFileAs text="Хранить как:" />
    <frAccountInformation text="Расчетный счет" />
    <frAccount text="Счет №:" />
    <frSWIFT text="SWIFT:" />
    <frABA text="ABA:" />
    <frIBAN text="IBAN:" />
    <frIntermediaryAccountInformation text="Корреспондентский счет" />
    <frIntermediaryBank text="Банк:" />
    <frIntermediaryAddress text="Адрес:" />
    <frIntermediaryAccount text="Счет №:" />
    <frIntermediarySWIFT text="SWIFT:" />
    <frIntermediaryABA text="ABA:" />
    <Resource>
      <BankAccountNameFormatAsNameCityCompany>{0}/{1} ({2})</BankAccountNameFormatAsNameCityCompany>
      <BankAccountNameFormatAsNameCity>{0}/{1}</BankAccountNameFormatAsNameCity>
      <BankAccountNameFormatAsNameCompany>{0} ({1})</BankAccountNameFormatAsNameCompany>
      <BankAccountNameFormatAsCaptionCompany>Расчетный счет ({0})</BankAccountNameFormatAsCaptionCompany>
      <BankAccountNameFormatAsCaption>Расчетный счет</BankAccountNameFormatAsCaption>
    </Resource>
    <frFileAsMasterInfo ValidationRefresh="IsEmpty" />
    <frAccountMasterInfo ValidationRefresh="IsEmpty" />
    <frCurrencyCodeMasterInfo ValidationRefresh="IsEmpty" />
    <MasterInfo>
      <source>MasterInfo/BankAccount/BankName</source>
      <source>MasterInfo/BankAccount/Country</source>
      <source>MasterInfo/BankAccount/City</source>
      <source>MasterInfo/BankAccount/Address</source>
      <source>MasterInfo/BankAccount/BankCode</source>
      <source>MasterInfo/BankAccount/CurrencyCode</source>
      <source>MasterInfo/BankAccount/FileAs</source>
      <source>MasterInfo/BankAccount/Account</source>
      <source>MasterInfo/BankAccount/SWIFT</source>
      <source>MasterInfo/BankAccount/ABA</source>
      <source>MasterInfo/BankAccount/IBAN</source>
      <source>MasterInfo/BankAccount/IntermediaryBank</source>
      <source>MasterInfo/BankAccount/IntermediaryAddress</source>
      <source>MasterInfo/BankAccount/IntermediaryAccount</source>
      <source>MasterInfo/BankAccount/IntermediarySWIFT</source>
      <source>MasterInfo/BankAccount/IntermediaryABA</source>
    </MasterInfo>
  </BankAccountPage>


  <CalendarPage>
    <frCalendarDataGridDescription text="Проверьте предлагаемый перечень нерабочих праздничных дней и при необходимости внесите изменения.[br][b][i]Примечание.[/i][/b] В данный список вносятся только ежегодные праздники. Информация о перенесенных выходных днях указывается на этапе эксплуатации системы" />
    <MasterInfo>
      <source>MasterInfo/Parameters/CalendarList</source>
    </MasterInfo>
    <GridSettings>
      <frCalendarDataGrid>
        <column name="Day" header="Дни" length="1" lengthUnitType="Star" type="Text" />
        <column name="Description" header="Описание" length="3" lengthUnitType="Star" type="Text" />
      </frCalendarDataGrid>
    </GridSettings>
  </CalendarPage>


  <LegalAddressPage>
    <frLegalStreet text="Улица:" />
    <frLegalCity text="Город:" />
    <frLegalRegion text="Область:" />
    <frLegalPostalCode text="Индекс:" />
    <frLegalCountry text="Страна:" />
    <MasterInfo>
      <source>MasterInfo/LegalAddress/Street</source>
      <source>MasterInfo/LegalAddress/City</source>
      <source>MasterInfo/LegalAddress/Region</source>
      <source>MasterInfo/LegalAddress/PostalCode</source>
      <source>MasterInfo/LegalAddress/Country</source>
    </MasterInfo>
  </LegalAddressPage>


  <ActualAddressPage>
    <frActualStreet text="Улица:" />
    <frActualCity text="Город:" />
    <frActualRegion text="Область:" />
    <frActualPostalCode text="Индекс:" />
    <frActualCountry text="Страна:" />
    <frEqualActualMasterInfo text="Совпадает с юридическим" />
    <MasterInfo>
      <source>MasterInfo/ActualAddress/Street</source>
      <source>MasterInfo/ActualAddress/City</source>
      <source>MasterInfo/ActualAddress/Region</source>
      <source>MasterInfo/ActualAddress/PostalCode</source>
      <source>MasterInfo/ActualAddress/Country</source>
      <source>MasterInfo/ActualAddress/EqualActual</source>
    </MasterInfo>
  </ActualAddressPage>


  <CompanyContactPage>
    <frPhoneButton text="Телефон" />
    <frFaxButton text="Факс" />
    <frWeb text="Веб-страница:" />
    <frEmail text="Эл. почта:" />
    <MasterInfo>
      <source>MasterInfo/CompanyContact/Phone</source>
      <source>MasterInfo/CompanyContact/Fax</source>
      <source>MasterInfo/CompanyContact/Web</source>
      <source>MasterInfo/CompanyContact/Email</source>
    </MasterInfo>
    <EventHandler>
      <event controlName="frPhoneButton" headerText="Проверьте номер телефона" linkedControl="frPhoneMasterInfo" />
      <event controlName="frFaxButton" headerText="Проверьте номер телефона" linkedControl="frFaxMasterInfo" />
    </EventHandler>
  </CompanyContactPage>


  <PhonePage>
    <frFullPhone text="Полный номер:" />
    <frCountry text="Страна:" />
    <frCityCode text="Код города:" />
    <frPhone text="Телефон:" />
  </PhonePage>


  <DivisionListPage>
    <frDivisionDataGridDescription text="Составьте список подразделений Вашей компании" />
    <MasterInfo>
      <source>MasterInfo/DivisionList</source>
    </MasterInfo>
    <GridSettings>
      <frDivisionDataGrid>
        <column name="Description" header="Наименование" length="3" lengthUnitType="Star" type="Text" />
      </frDivisionDataGrid>
    </GridSettings>
  </DivisionListPage>


  <PositionListPage>
    <frPositionDataGridDescription text="Составьте список должностей, дополнив его новыми записями" />
    <MasterInfo>
      <source>MasterInfo/PositionList</source>
    </MasterInfo>
    <GridSettings>
      <frPositionDataGrid>
        <column name="Description" header="Наименование" length="3" lengthUnitType="Star" type="Text" />
      </frPositionDataGrid>
    </GridSettings>
  </PositionListPage>


  <QualificationListPage>
    <MasterInfo>
      <source>MasterInfo/QualificationList</source>
    </MasterInfo>
    <GridSettings>
      <frQualificationDataGrid>
        <column name="Description" header="Наименование" length="2" lengthUnitType="Star" type="Text" />
        <column name="Currency1" length="1" lengthUnitType="Star" type="Text" defaultValue="0,00" Visibility="Collapsed" />
        <column name="Currency2" length="1" lengthUnitType="Star" type="Text" defaultValue="0,00" Visibility="Collapsed" />
        <column name="Currency3" length="1" lengthUnitType="Star" type="Text" defaultValue="0,00" Visibility="Collapsed" />
        <column name="Currency4" length="1" lengthUnitType="Star" type="Text" defaultValue="0,00" Visibility="Collapsed" />
        <column name="Currency5" length="1" lengthUnitType="Star" type="Text" defaultValue="0,00" Visibility="Collapsed" />
      </frQualificationDataGrid>
    </GridSettings>
  </QualificationListPage>


  <EmployeeListPage>
    <frAddButton text="Добавить..." />
    <frUpdateButton text="Изменить..." />
    <!--frDeleteButton text="Удалить"/-->
    <frCreateExcel text="Создать..." />
    <frLoadExcel text="Загрузить..." />
    <MasterInfo>
      <source>MasterInfo/EmployeeList</source>
    </MasterInfo>
    <GridSettings>
      <frEmployeeDataGrid>
        <column name="FileAs" header="Полное имя" length="2" lengthUnitType="Star" type="Text" index="0" importField="true" />
        <column name="Position" header="Должность" length="1" lengthUnitType="Star" type="Text" index="4" importField="true" />
        <column name="Qualification" header="Квалификация" length="1" lengthUnitType="Star" type="Text" index="5" importField="true" />
        <column name="LastName" header="Фамилия" type="Text" Visibility="Collapsed" index="1" importField="true" />
        <column name="FirstName" header="Имя" type="Text" Visibility="Collapsed" index="2" importField="true" />
        <column name="MiddleName" header="Отчество" type="Text" Visibility="Collapsed" index="3" importField="true" />
        <column name="Division" header="Подразделение" type="Text" Visibility="Collapsed" index="6" importField="true" />
        <column name="WorkPhone" header="Телефон рабочий" type="Text" Visibility="Collapsed" index="7" importField="true" />
        <column name="MobilePhone" header="Телефон мобильный" type="Text" Visibility="Collapsed" index="8" importField="true" />
        <column name="Email" header="Электронная почта" type="Text" Visibility="Collapsed" index="9" importField="true" />
        <column name="Role" header="Роль" type="Text" Visibility="Collapsed" />
        <column name="IsManager" header="Руководитель" type="Text" Visibility="Collapsed" />
        <column name="IsChiefAccountant" header="Главный бухгалтер" type="Text" Visibility="Collapsed" />
        <column name="IsAdministrator" header="Бизнес-администратор" type="Text" Visibility="Collapsed" />
        <column name="WindowsAccount" header="Учетная запись Windows" type="Text" Visibility="Collapsed" />
        <column name="SQLAccount" header="Пользователь" type="Text" Visibility="Collapsed" />
        <column name="SQLPassword" header="Пароль" type="Text" Visibility="Collapsed" />
      </frEmployeeDataGrid>
    </GridSettings>
    <EventHandler>
      <event controlName="frLoadFromExcelButton" type="ClickOnButtonOpenWindowImportFromExcel" headerText="Загрузка списка сотрудников" />
      <event controlName="frSaveExcelTemplateOfEmployeeButton" type="ClickOnButtonSaveExcelTemplate" />
      <event controlName="frAddButton" headerText="Создание карточки сотрудника" />
      <event controlName="frUpdateButton" headerText="Редактирование карточки сотрудника" />
    </EventHandler>
  </EmployeeListPage>


  <CreateEmployeePage>
    <frLastName text="Фамилия:" />
    <frFirstName text="Имя:" />
    <frMiddleName text="Отчество:" />
    <frFileAs text="Хранить как:" />
    <frPosition text="Должность:" />
    <frQualification text="Квалификация:" />
    <frDivision text="Подразделение:" />
    <frWorkPhone text="Телефон рабочий:" />
    <frMobilePhone text="Телефон мобильный:" />
    <frEmail text="Электронная почта:" />
    <frRole text="Роль:" />
    <frSaveAndCreate text="Добавить еще одного сотрудника" />
    <frIsManagerMasterInfo text="Руководитель компании" />
    <frIsChiefAccountantMasterInfo text="Главный бухгалтер" />
    <frIsAdministratorMasterInfo text="Бизнес-администратор" />
  </CreateEmployeePage>

  
  <ActivityTypeListPage>
    <frClearItems text="Очистить список" />
    <frCreateExcel text="Создать..." />
    <frLoadExcel text="Загрузить..." />
	<frLoadStandartDictionary text="Загрузить типовой справочник" />
    <MasterInfo>
      <source>MasterInfo/ActivityTypeList</source>
    </MasterInfo>
    <GridSettings>
      <frActivityTypeDataGrid>
        <column name="Code" header="Код" length="1" lengthUnitType="Star" type="Text" importField="true" />
        <column name="Description" header="Наименование" length="2" lengthUnitType="Star" type="Text" importField="true" />
        <column name="ProjectTypeID" header="Тип проекта" length="1" lengthUnitType="Star" type="Text" />
        <column name="Billable" header="Оплачивается" length="1" lengthUnitType="Star" type="CheckBox" />
      </frActivityTypeDataGrid>
    </GridSettings>
    <EventHandler>
      <event controlName="frLoadFromExcelButton" type="ClickOnButtonOpenWindowImportFromExcel" headerText="Загрузка видов деятельности" />
      <event controlName="frSaveExcelTemplateOfActivityTypeButton" type="ClickOnButtonSaveExcelTemplate" />
    </EventHandler>
  </ActivityTypeListPage>


  <HelloDictionaryPage>
    <ButtonFinish IsEnabled="false" />
    <frBodyHelloDictionaryPage text="На этой и последующих страницах вы можете выбрать справочники, которые будут использоваться в дальнейшем, заполнить их типовыми данными или внести данные самостоятельно." />
    
	<frHeaderActivityTypeList text="Виды деятельности" />
    <frBodyActivityTypeList text="На основе данных справочника происходит построение отчетов по расходованию времени на типовые виды работ, настраивается автозаполнение описания работ в записях о времени. Справочник позволяет разделить виды деятельности на неоплачиваемые и подлежащие оплате. Оплачиваемые виды деятельности участвуют в формировании финансовых документов для клиентов." />
    
	<frHeaderExpenseCodeList text="Типы затрат" />
    <frBodyExpenseCodeList text="На основе данных справочника происходит построение отчетов по типовым затратам, настраивается автозаполнение описания затрат в создаваемых записях. Справочник позволяет разделить типы затрат на неоплачиваемые и подлежащие оплате. Оплачиваемые затраты участвуют в формировании финансовых документов для клиентов." />
    
	<frHeaderCompanyList text="Контрагенты" />
    <frBodyCompanyList text="Вносимые в справочник данные используются для ведения контактной и клиентской баз и применяются в дальнейшем для подготовки финансовых документов, формирования отчетов, планирования и учета взаимодействий с клиентами." />
    
    <frActivityTypeListPage_EmptyMasterInfo text="Заполнить" />
    <frActivityTypeListPage_SkipMasterInfo text="Пропустить" />
    
    <frExpenseCodeListPage_EmptyMasterInfo text="Заполнить" />
    <frExpenseCodeListPage_SkipMasterInfo text="Пропустить" />
    
	<frCompanyListPage_StandartMasterInfo text="Заполнить" />
    <frCompanyListPage_SkipMasterInfo text="Пропустить" />
    <MasterInfo>
      <source>MasterInfo/HelloDictionary/ActivityTypeListPage_Standart</source>
      <source>MasterInfo/HelloDictionary/ActivityTypeListPage_Empty</source>
      <source>MasterInfo/HelloDictionary/ActivityTypeListPage_Skip</source>
      
	  <source>MasterInfo/HelloDictionary/ExpenseCodeListPage_Standart</source>
      <source>MasterInfo/HelloDictionary/ExpenseCodeListPage_Empty</source>
      <source>MasterInfo/HelloDictionary/ExpenseCodeListPage_Skip</source>
      
	  <source>MasterInfo/HelloDictionary/CompanyListPage_Standart</source>
      <source>MasterInfo/HelloDictionary/CompanyListPage_Skip</source>
    </MasterInfo>
  </HelloDictionaryPage>
  
  
  <ExpenseCodeListPage>
    <frCreateExcel text="Создать..." />
    <frLoadExcel text="Загрузить..." />
    <frClearItems text="Очистить список" />
	<frLoadStandartDictionary text="Загрузить типовой справочник" />
    <MasterInfo>
      <source>MasterInfo/ExpenseCodeList</source>
    </MasterInfo>
    <GridSettings>
      <frExpenseCodeDataGrid>
        <column name="Code" header="Код" length="1" lengthUnitType="Star" type="Text" importField="true" />
        <column name="Description" header="Наименование" length="2" lengthUnitType="Star" type="Text" importField="true" />
      </frExpenseCodeDataGrid>
    </GridSettings>
    <EventHandler>
      <event controlName="frLoadFromExcelButton" type="ClickOnButtonOpenWindowImportFromExcel" headerText="Загрузка типов затрат" />
      <event controlName="frSaveExcelTemplateOfExpenseCodeButton" type="ClickOnButtonSaveExcelTemplate" />
    </EventHandler>
  </ExpenseCodeListPage>


  <CompanyListPageDescription>
    <ButtonFinish IsEnabled="false" />
    <frCompanyListPageDescriptionHeader text="Добро пожаловать в мастер импорта данных!" />
	<frCompanyListPageDescriptionBody text="Используйте мастер импорта данных для быстрого заполнения справочника контрагентов необходимыми сведениями. Данные могут быть загружены как из вашей таблицы Microsoft Excel, так и по формату таблицы, которая будет создана по ходу работы мастера.&#xA;&#xA;Если в базе данных уже есть данные, то при импорте произойдет сопоставление загружаемых данных с уже имеющимися. Поиск контрагентов на их наличие в базе производится по Полному наименованию и ИНН:&#xA;&#xA;При нахождении соответствия для загружаемой записи в существующей записи контрагента заполняются пустые поля.&#xA;В случае отсутствия соответствия для загружаемой записи, результатом импорта будет являться создание новой записи контрагента.&#xA;&#xA;Добавленный контрагент будет отмечен как импортированный соответствующим сообщением в комментарии. Данные о руководителях и бухгалтерах будут автоматически добавлены в контактную базу в случае их отсутствия." />
	<frCompanyListPageDescriptionFlag1 text="Выберите цвет флага для новых карточек компаний" />
	<frCompanyListPageDescriptionFlag2 text="Выберите цвет флага для обновлённых карточек компаний" />
	<frCompanyListPageDescriptionNext text="Для продолжения нажмите кнопку &quot;Вперед&quot;" />
	<MasterInfo>
      <source>MasterInfo/CompanyListPageDescription/CompanyListPageDescriptionCombo1Complex</source>
      <source>MasterInfo/CompanyListPageDescription/CompanyListPageDescriptionCombo2Complex</source>
    </MasterInfo>
  </CompanyListPageDescription>
  
  
  <CompanyListPage>
    <frAddCompanyButton text="Добавить..." />
    <frUpdateCompanyButton text="Изменить..." />
    <!--frDeleteButton text="Удалить"/-->
    <frCreateExcel text="Создать..." />
    <frLoadExcel text="Загрузить..." />
    <MasterInfo>
      <source>MasterInfo/CompanyList</source>
    </MasterInfo>
    <GridSettings>
      <frCompanyDataGrid>
        <column name="CompanyName" 			header="Полное наименование" 	length="2" lengthUnitType="Star" type="Text" importField="true" />
        <column name="FileAs" 				header="Краткое наименование" 	length="1" lengthUnitType="Star" type="Text" importField="true" />
        <column name="LegalCode" 			header0="ИНН" 					
											header1="ИНН" 
											header2="УНП" 
											header3="РНП" 					length="1" lengthUnitType="Star" type="Text" importField="true" />
        <column name="KPP" 					header0="КПП" 					
											header1="Код по ЕГРПО" 
											header2="ОКПО" 
											header3="БИН/ИНН" 				type="Text" Visibility="Collapsed" importField="true" />
        <column name="BIN" 					header0="ОГРН" 					
											header1="Номер свидетельства" 
											header2="КПП (для организаций РФ)" 
											header3="Кбе" 					type="Text" Visibility="Collapsed" importField="true" />
        <column name="CompanyPhone" 		header="Телефон" 				type="Text" Visibility="Collapsed" importField="true" />
        <column name="Fax" 					header="Факс" 					type="Text" Visibility="Collapsed" importField="true" />
        <column name="Street" 				header="Улица" 					type="Text" Visibility="Collapsed" importField="true" />
        <column name="City" 				header="Город" 					type="Text" Visibility="Collapsed" importField="true" />
        <column name="Region" 				header="Область" 				type="Text" Visibility="Collapsed" importField="true" />
        <column name="PostalCode" 			header="Индекс" 				type="Text" Visibility="Collapsed" importField="true" />
        <column name="Country" 				header="Страна" 				type="Text" Visibility="Collapsed" importField="true" />
        <column name="ManagerName" 			header="Руководитель компании" 	length="1" lengthUnitType="Star" type="Text" importField="true" />
        <column name="ManagerPosition" 		header="Должность руководителя" type="Text" Visibility="Collapsed" importField="true" />
        <column name="ChiefAccountantName" 	header="Главный бухгалтер" 		type="Text" Visibility="Collapsed" importField="true" />
        <column name="Email" 				header="Эл.почта" 				type="Text" Visibility="Collapsed" importField="true" />
        <column name="Web" 					header="Веб страница" 			type="Text" Visibility="Collapsed" importField="true" />
      </frCompanyDataGrid>
    </GridSettings>
    <EventHandler>
      <event controlName="frLoadFromExcelButton" type="ClickOnButtonOpenWindowImportFromExcel" headerText="Загрузка списка контрагентов" />
      <event controlName="frSaveExcelTemplateOfCompanyButton" type="ClickOnButtonSaveExcelTemplate" />
      <event controlName="frAddCompanyButton" headerText="Создание карточки контрагента" />
      <event controlName="frUpdateCompanyButton" headerText="Редактирование карточки контрагента" />
    </EventHandler>
  </CompanyListPage>  
  
  
  <CreateCompanyPage>
    <frCompanyName text="Полное наименование:" />
    <frFileAs text="Краткое наименование:" />
    <frLegalCode 	text0="ИНН:" 					
					text1="ИНН:" 
					text2="УНП:" 
					text3="РНП:" />
    <frKPP 			text0="КПП:" 					
					text1="Код по ЕГРПО:" 
					text2="ОКПО:" 
					text3="БИН/ИНН:" 				/>
    <frBIN 			text0="ОГРН:" 					
					text1="Номер свидетельства:" 
					text2="КПП (для организаций РФ):" 
					text3="Кбе:" 					/>
    <frCompanyPhone text="Телефон:" />
    <frFax text="Факс:" />
    <frStreet text="Улица:" />
    <frCity text="Город:" />
    <frRegion text="Область:" />
    <frPostalCode text="Индекс:" />
    <frCountry text="Страна:" />
    <frManagerName text="Руководитель компании:" />
    <frManagerPosition text="Должность:" />
    <frChiefAccountantName text="Главный бухгалтер:" />
    <frEmail text="Эл.почта:" />
    <frWeb text="Веб страница:" />
    <frSaveAndCreate text="Добавить еще одну компанию" />
  </CreateCompanyPage>

  
  <ImportFromExcel>
    <frFooter text="Заполнение полей: {0} — является обязательным" />
    <IsCodAsName text="Равно наименованию" />
    <modalLabelTitle text="Установите соответствия заголовков столбцов таблицы Excel данным в системе" />
    <IsContentHeaderInFirstRow text="Первая строка содержит заголовки столбцов" />
    <modalLabel00 text="Поле " />
    <modalLabel01 text="Поле " />
    <modalLabel02 text="Поле " />
    <modalLabel03 text="Поле " />
    <modalLabel04 text="Поле " />
    <modalLabel05 text="Поле " />
    <modalLabel06 text="Поле " />
    <modalLabel07 text="Поле " />
    <modalLabel08 text="Поле " />
    <modalLabel09 text="Поле " />
    <modalLabel10 text="Поле " />
    <modalLabel11 text="Поле " />
    <modalLabel12 text="Поле " />
    <modalLabel13 text="Поле " />
    <modalLabel14 text="Поле " />
    <modalLabel15 text="Поле " />
    <modalLabel16 text="Поле " />
    <modalLabel17 text="Поле " />
    <modalLabel18 text="Поле " />
    <modalLabel19 text="Поле " />
    <modalLabel20 text="Поле " />
  </ImportFromExcel>


  <ManagersPage>
    <frManager text="Руководитель:" />
    <frChiefAccountant text="Главный бухгалтер:" />
    <frAdministrator text="Бизнес-администратор:" />
    <frGroupBox text="Выберите ответственных лиц" />
    <MasterInfo>
      <source>MasterInfo/Company/Manager</source>
      <source>MasterInfo/Company/ChiefAccountant</source>
      <source>MasterInfo/Company/Administrator</source>
    </MasterInfo>
  </ManagersPage>


  <UserIdentificationPage>
    <frWinIdentificationHeader text="Идентификация пользователей средствами Windows" />
    <frWinIdentificationBody text="Данный вид идентификации позволяет связать учётные записи пользователей в ProjectMate и в операционной системе Windows. Этот вариант является предпочтительным в случае, если компьютеры компании объединены в сеть через домен, пользователей ProjectMate также рекомендуется объединить в домене в специальную группу." />
    <frIsWinIdentification text="Вы хотите использовать идентификацию пользователей средствами Windows?" />
    <frSQLAuthenticationMasterInfo text="Да" />
    <frSQLAuthenticationOff text="Нет" />
    <frSQLIdentificationHeader text="Идентификация пользователей средствами SQL Server" />
    <frSQLIdentificationBody text="Данный вид идентификации позволяет создать для каждого сотрудника учётную запись в базе данных и подключаться к системе посредством ввода Имени пользователя и Пароля. Мастер автоматически сгенерирует имена пользователей на основе введённых данных о сотрудниках, а также стойкие к взлому пароли." />
    <frIsSQLIdentification text="Вы хотите использовать идентификацию пользователей средствами SQL Server?" />
    <frWindowsAuthenticationMasterInfo text="Да" />
    <frWindowsAuthenticationOff text="Нет" />
    <frWindowsGroup text="Выберите группу:" />
    <frAddWindowsGroup text="..." />
    <MasterInfo>
      <source>MasterInfo/UserIdentification/SQLAuthentication</source>
      <source>MasterInfo/UserIdentification/WindowsAuthentication</source>
      <source>MasterInfo/UserIdentification/WindowsGroup</source>
    </MasterInfo>
  </UserIdentificationPage>


  <RolePage>
    <frAcceptRoleMasterInfo text="Принять предлагаемые роли" />
    <GridSettings>
      <frRoleDataGrid>
        <column name="Role" header="Роль" length="1" lengthUnitType="Star" type="Text" />
      </frRoleDataGrid>
    </GridSettings>
    <MasterInfo>
      <source>MasterInfo/UserIdentification/AcceptRole</source>
    </MasterInfo>
  </RolePage>


  <UserAccountPage>
    <frExportExcel text="Экспорт..." />
    <MasterInfo>
      <source>MasterInfo/EmployeeList</source>
    </MasterInfo>
    <GridSettings>
      <frEmployeeDataGrid>
        <column name="FileAs" header="Полное имя" length="91" lengthUnitType="Star" type="Text" />
        <column name="Position" header="Должность" length="1" lengthUnitType="Star" type="Text" index="1" Visibility="Collapsed" />
        <column name="Qualification" header="Квалификация" length="1" lengthUnitType="Star" type="Text" index="2" Visibility="Collapsed" />
        <column name="LastName" header="Фамилия" type="Text" Visibility="Collapsed" />
        <column name="FirstName" header="Имя" type="Text" Visibility="Collapsed" />
        <column name="MiddleName" header="Отчество" type="Text" Visibility="Collapsed" />
        <column name="Division" header="Подразделение" type="Text" Visibility="Collapsed" />
        <column name="WorkPhone" header="Телефон рабочий" type="Text" Visibility="Collapsed" />
        <column name="MobilePhone" header="Телефон мобильный" type="Text" Visibility="Collapsed" />
        <column name="Email" header="Электронная почта" type="Text" Visibility="Collapsed" />
        <column name="Role" header="Роль" type="Text" Visibility="Collapsed" />
        <column name="IsManager" header="Руководитель" type="Text" Visibility="Collapsed" />
        <column name="IsChiefAccountant" header="Главный бухгалтер" type="Text" Visibility="Collapsed" />
        <column name="IsAdministrator" header="Бизнес-администратор" type="Text" Visibility="Collapsed" />
        <column name="WindowsAccount" header="Учетная запись Windows" length="100" lengthUnitType="Star" type="Text" />
        <column name="SQLAccount" header="Пользователь" length="100" lengthUnitType="Star" type="Text" />
        <column name="SQLPassword" header="Пароль" length="91" lengthUnitType="Star" type="Text" />
      </frEmployeeDataGrid>
    </GridSettings>
  </UserAccountPage>


  <FinalPage>
    <ButtonFinish IsEnabled="true" />
    <frCompanyGroup text="Компания" />
    <frLegalName text="Наименование:" />
    <frIndustryBranch text="Сфера деятельности:" />
    <frLegalCode text="ИНН:">
      <country name="Беларусь" text="УНП:" />
      <country name="Казахстан" text="РНП:" />
    </frLegalCode>
    <frKPP text="КПП:">
      <country name="Беларусь" text="ОКПО:" />
      <country name="Украина" text="Код по ЕГРПО:" />
      <country name="Казахстан" text="БИН/ИНН:" />
    </frKPP>
    <frBIN text="ОГРН:">
      <country name="Беларусь" text="КПП (для организаций РФ):" />
      <country name="Украина" text="Номер свидетельства:" />
      <country name="Казахстан" text="Кбе:" />
    </frBIN>
    <frCompanyAddress1 text="Адрес(Юридический):" />
    <frCompanyAddress2 text="Адрес(Фактический):" />
    <frPhone text="Телефон:" />
    <frFax text="Факс:" />
    <frWeb text="Веб-страница:" />
    <frEmail text="Эл.почта:" />
    <frRegionGroup text="Региональные настройки" />
    <frCountry text="Страна:" />
    <frNationalCurrency text="Национальная валюта:" />
    <frBaseCurrency text="Учетная валюта:" />
    <frApplyVAT text="Организация ведет учет НДС:" />
    <frVATRate text="Ставка НДС:" />
    <frAutofillingLanguage text="Язык автозаполнения:" />
    <frInfoGroup text="Дополнительно" />
    <frDivision text="Количество подразделений:" />
    <frPosition text="Количество должностей:" />
    <frQualification text="Количество квалификаций:" />
    <frEmployee text="Количество сотрудников:" />
    <frManager text="Руководитель:" />
    <frChiefAccountant text="Главный бухгалтер:" />
    <frAdministrator text="Бизнес-администратор:" />
    <frUserIdentification text="Идентификация пользователей:" />
    <MasterInfo>
      <source>MasterInfo/Company/LegalName</source>
      <source>MasterInfo/Company/KPP</source>
      <source>MasterInfo/Company/LegalCode</source>
      <source>MasterInfo/Company/BIN</source>
      <source>MasterInfo/Parameters/IndustryBranch</source>
      <source>MasterInfo/CompanyContact/Phone</source>
      <source>MasterInfo/CompanyContact/Fax</source>
      <source>MasterInfo/CompanyContact/Web</source>
      <source>MasterInfo/CompanyContact/Email</source>
      <source>MasterInfo/Parameters/Country</source>
      <source>MasterInfo/Parameters/NationalCurrency</source>
      <source>MasterInfo/Parameters/BaseCurrency</source>
      <source>MasterInfo/Parameters/AutofillingLanguage</source>
      <source>MasterInfo/Parameters/ApplyVAT</source>
      <source>MasterInfo/Parameters/VATRate</source>
    </MasterInfo>
  </FinalPage>


  <ModalPage>
    <frOKButton text="Готово" />
    <frCloseButton text="Отмена" />
  </ModalPage>

  
  </PageContent>'
GO

EXEC xmlParameterSet 'Navigation', '<NavigationList>
  <MenuItem title="HelloPage" PageHeader="Добро пожаловать" type="xml" mode="both" />
  <MenuItem title="CompanyInfo" path="CompanyInfo" MenuHeader="Сведения о компании" type="menuItem" mode="both">
    <MenuItem title="RegionalPage" PageHeader="Региональные настройки" type="xaml" />
    <MenuItem title="StartPage" PageHeader="Общие сведения" type="xaml" />
    <MenuItem title="BankAccountPage" PageHeader="Расчетный счет" type="xaml">
      <AdditionalOptions>
        <option>NotForDepartment</option>
      </AdditionalOptions>
    </MenuItem>
    <MenuItem title="CalendarPage" PageHeader="Рабочий календарь" type="xaml" mode="both" />
    <MenuItem title="LegalAddressPage" PageHeader="Юридический адрес" type="xaml" mode="both" />
    <MenuItem title="ActualAddressPage" PageHeader="Фактический адрес" type="xaml" />
    <MenuItem title="CompanyContactPage" PageHeader="Контакты" type="xaml" />
  </MenuItem>
  <MenuItem title="CompanyDetails" path="CompanyDetails" MenuHeader="Структура компании" type="menuItem">
    <MenuItem title="DivisionListPage" MenuHeader="Подразделения" PageHeader="Справочник подразделений" type="xaml" />
    <MenuItem title="PositionListPage" MenuHeader="Должности" PageHeader="Должности сотрудников" type="xaml" />
    <MenuItem title="QualificationCurrencyPage" PageHeader="Валюты ставок" type="xaml">
      <AdditionalOptions>
        <option>NotForDepartment</option>
      </AdditionalOptions>
    </MenuItem>
    <MenuItem title="QualificationListPage" MenuHeader="Квалификации" PageHeader="Квалификации и ставки сотрудников" type="xaml">
      <AdditionalOptions>
        <option>NotForDepartment</option>
      </AdditionalOptions>
    </MenuItem>
    <MenuItem title="EmployeeListPage" MenuHeader="Сотрудники" PageHeader="Список сотрудников" type="xaml" />
    <MenuItem title="ManagersPage" PageHeader="Ответственные лица" type="xaml" />
  </MenuItem>
  <MenuItem title="ReferenceData" path="ReferenceData" MenuHeader="Справочные данные" type="menuItem">
    <MenuItem title="HelloDictionaryPage" MenuHeader="Выбор справочников" PageHeader="Справочники" type="xaml" />
    <MenuItem title="ActivityTypeListPage" MenuHeader="Виды деятельности" PageHeader="Виды деятельности" type="xaml" pageNumber="0" />
    <MenuItem title="ExpenseCodeListPage" MenuHeader="Типы затрат" PageHeader="Типы затрат" type="xaml" pageNumber="1" />
    <MenuItem title="CompanyListPageDescription" MenuHeader="Контрагенты" PageHeader="" type="xaml" pageNumber="2" />
    <MenuItem title="CompanyListPage" MenuHeader="Контрагенты" PageHeader="Список контрагентов" type="xaml" pageNumber="2" />
  </MenuItem>
  <MenuItem title="SystemUsers" path="SystemUsers" MenuHeader="Пользователи системы" type="menuItem">
    <MenuItem title="UserIdentificationPage" PageHeader="Идентификация пользователей" type="xaml" ExcludeForSQLAzure="True">
      <AdditionalOptions>
        <option>ForDomain</option>
      </AdditionalOptions>
    </MenuItem>
    <!--MenuItem title="RolePage" PageHeader="Роли пользователей" type="xaml"/-->
    <MenuItem title="UserAccountPage" PageHeader="Учетные записи" type="xaml" />
  </MenuItem>
  <MenuItem title="FinalPage" PageHeader="Проверка введенных данных" type="xaml" IsFinish="True" />
</NavigationList>'
GO

EXEC xmlParameterSet 'HelloPage', '<Page xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
      xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
      Title="HelloPage" FontFamily="Tahoma" FontSize="8.25pt">

    <Page.Resources>
        <ResourceDictionary>
            <ResourceDictionary.MergedDictionaries>
                <ResourceDictionary Source="pack://application:,,,/Avicom.Adf.StartupMaster;component/ResourceDictionary.xaml" />
            </ResourceDictionary.MergedDictionaries>
        </ResourceDictionary>
    </Page.Resources>

  <Grid>
    <Grid.RowDefinitions>
      <RowDefinition Height="Auto"></RowDefinition>
      <RowDefinition Height="10"></RowDefinition>
      <RowDefinition Height="*"></RowDefinition>
    </Grid.RowDefinitions>
    
    <Grid.ColumnDefinitions>
	  <ColumnDefinition Width="11*"></ColumnDefinition>
	  <ColumnDefinition Width="*"></ColumnDefinition> 
    </Grid.ColumnDefinitions>
    
    <TextBox Name="frHeader" IsReadOnly="True" Grid.Row="0" FontSize="12" Foreground="MidnightBlue" FontWeight="Bold" Style="{StaticResource bodyTextStyle}"></TextBox>
    <TextBox Name="frBody" IsReadOnly="True" Grid.Row="2" Style="{StaticResource bodyTextStyle}"></TextBox>
  </Grid>
</Page>'
GO
