IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[fnPjm7GetMonthWeekNumber]') AND xtype IN (N'FN', N'IF', N'TF'))
	BEGIN
		PRINT 'Dropping function fnPjm7GetMonthWeekNumber'
		DROP FUNCTION [dbo].[fnPjm7GetMonthWeekNumber]
	END

GO

PRINT 'Creating function fnPjm7GetMonthWeekNumber'
GO
/******************************************************************************
**		File: fnPjm7GetMonthWeekNumber.sql
**		Name: fnPjm7GetMonthWeekNumber
**		Desc:       
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: anton.paramonov
**		Date: 02.02.2012 15:30
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE FUNCTION fnPjm7GetMonthWeekNumber
(
      @Date DATETIME
)

RETURNS int

AS
BEGIN
	DECLARE @Week int
	SET @Week = DATEPART(week, @Date) - DATEPART(week, DATEADD(month, DATEDIFF(month, 0, @Date), 0))+1
	RETURN @Week
END