IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[fnPjm5GetRoundInterval]') AND xtype IN (N'FN', N'IF', N'TF'))
	BEGIN
		PRINT 'Dropping function fnPjm5GetRoundInterval'
		DROP FUNCTION [dbo].[fnPjm5GetRoundInterval]
	END

GO

PRINT 'Creating function fnPjm5GetRoundInterval'
GO
/******************************************************************************
**		File: 
**		Name: fnPjm5GetRoundInterval
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE FUNCTION fnPjm5GetRoundInterval(
	@Index int
	)
RETURNS int
AS
BEGIN
	DECLARE @Value int
	SET @Value = 0
	
	IF @Index = 1
		SET @Value = 3
	IF @Index = 2
		SET @Value = 5
	IF @Index = 3
		SET @Value = 6
	IF @Index = 4
		SET @Value = 10
	IF @Index = 5
		SET @Value = 12
	IF @Index = 6
		SET @Value = 15
	IF @Index = 7
		SET @Value = 30
	IF @Index = 8
		SET @Value = 60
			
	RETURN @Value
END
 