IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[adfLicenseBrowse]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
	BEGIN
		PRINT 'Dropping procedure adfLicenseBrowse'
		DROP PROCEDURE [dbo].[adfLicenseBrowse]
	END
GO

PRINT 'Creating procedure adfLicenseBrowse'
GO

/******************************************************************************
**		File: adfLicenseBrowse.sql
**		Name: adfLicenseBrowse
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**		.
*******************************************************************************/
CREATE PROCEDURE [adfLicenseBrowse]
AS
	SELECT
		[ID],
		[Code], 
		[Name],
		[PerUser],
		[Created],
		[Initialized],
		[Functions],
		[Value],
		[SignedValue],
		[UserID]
	FROM
		[License]

	RETURN 0
GO

GRANT EXECUTE ON adfLicenseBrowse TO PUBLIC
GO
 