IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'lmProjectTemplate')
	BEGIN
		PRINT 'Dropping Procedure lmProjectTemplate'
		DROP  Procedure  lmProjectTemplate
	END

GO

PRINT 'Creating Procedure lmProjectTemplate'
GO
/******************************************************************************
**		File: 
**		Name: lmProjectTemplate
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure lmProjectTemplate
AS
	SET NOCOUNT ON

	SELECT
			[Project].[ID],
			[Number] as [Code],
			[FileAs] as [Name],
			[State]
		FROM
			[ProjectTemplate]
			INNER JOIN [Project]
				ON [Project].[ID] = [ProjectTemplate].[ID]
	
	RETURN 0
GO

GRANT EXEC ON lmProjectTemplate TO PUBLIC
GO
 