IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'PjmSyncCheckDeviceID')
	BEGIN
		PRINT 'Dropping Procedure PjmSyncCheckDeviceID'
		DROP  Procedure  PjmSyncCheckDeviceID
	END

GO

PRINT 'Creating Procedure PjmSyncCheckDeviceID'
GO

--------------------------------------------------------------------------------------
CREATE Procedure PjmSyncCheckDeviceID
	@DeviceID varchar(40)
AS
	SET NOCOUNT ON
	
	IF EXISTS (SELECT * FROM [ExternalLink] WHERE  [DeviceID] = @DeviceID)
		SELECT CAST(1 as bit)
	ELSE
		SELECT CAST(0 as bit)
		
	RETURN 0
GO

GRANT EXEC ON PjmSyncCheckDeviceID TO PUBLIC
GO  