 IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[pjm5vwInvoice]') and OBJECTPROPERTY(id, N'IsView') = 1)
	BEGIN
		PRINT 'Dropping view pjm5vwInvoice'
		DROP VIEW [dbo].[pjm5vwInvoice]
	END
GO

PRINT 'Creating view pjm5vwInvoice'
GO
/*
CREATE VIEW [pjm5vwInvoice]
AS
	SELECT
		[Invoice].[Class],
		[Invoice].[ID],
		[Invoice].[State],
		[Invoice].[Flag],
		[Invoice].[Date],
		[Invoice].[Number],
		[Invoice].[FileAs],
		[Invoice].[Advance],
		[Invoice].[CustomerBankAccountID],
		[Invoice].[SupplierBankAccountID],
		[Invoice].[ProjectID],
		[Invoice].[StatementID],
		[Invoice].[CurrencyRate],
		[Invoice].[CurrencyCode],
		[Invoice].[VATRate],
		[Invoice].[Comments],
		[Invoice].[Created],
		[Invoice].[CreatedBy],
		[Invoice].[Modified],
		[Invoice].[ModifiedBy],
		[Invoice].[Timestamp],
		CAST(0 AS varchar(32)) AS [ProjectNumber],
		CAST(0 AS varchar(32)) AS [StatementNumber],
		CAST(0 AS money) AS [Sum],
		CAST(0 AS money) AS [PaidSum]
	FROM
		[Invoice]
		INNER JOIN [Project]
			ON [Project].[ID] = [Invoice].[ProjectID]
	WHERE
		[Invoice].[State] != 6
*/		
GO
   